Google Play 政策更新 | 扩展目标 API 级别要求以增进用户安全

Google Play 政策更新 | 扩展目标 API 级别要求以增进用户安全

作者 / Krish Vitaldevara, Director, Product Management

Google Play 帮助我们的开发者社区为数十亿用户提供世界上最具创新和最值得信赖的应用。我们在这个持续不断的过程中一直致力于提高整个生态系统中的应用安全性。

Google Play 的功能和 政策 在为用户提供安全体验方面起着核心作用,除此之外,每次 Android 操作系统的更新都会带来隐私、安全和用户体验方面的改进。为确保用户充分享受这些进步带来的助益,以及满足人们的期待: 在 Google Play 上获得值得信赖的体验——我们与开发者们合作,确保大家的应用可以在更新的 Android 版本上顺畅运行。

现在,我们要求所有新的应用和应用更新的目标 Android API 级别为最新主要 Android 操作系统版本发布后一年内推出的 Android API 级别。不符合这一要求的新应用和应用更新将不能在 Google Play 上发布。确切的时间表请参考帮助中心的 介绍文章

△ 目前对新应用和应用更新的目标 API 级别要求

△ 目前对新应用和应用更新的目标 API 级别要求

现在,作为 Google Play 最新政策更新 的一部分,我们采取进一步的额外措施,扩展目标 API 级别要求,以确保用户不会安装那些可能缺乏最新隐私和安全功能的应用。

从 2022 年 11 月 1 日开始,现有应用的目标 API 级别如果不是最新主要 Android 操作系统版本发布后两年内推出的 API 级别,则不能被在设备上运行版本高于该应用目标 API 级别的 Android 系统上的新用户发现或安装。随着未来新的 Android 操作系统版本的推出,这一要求的时间窗口也将做出相应调整。

△ 自 11 月 1 日开始,既有应用的目标 API 级别要求

△ 自 11 月 1 日开始,既有应用的目标 API 级别要求

作出这个调整的理由很简单。拥有最新设备和/或完全赶上 Android 系统更新的用户,期望在最大程度上体验到 Android 系统所提供的隐私和安全保护。扩展目标 API 级别要求能保护用户,让他们避免安装可能缺乏这些保护措施的老旧应用。

好消息是,Google Play 上的绝大多数应用已经遵守了这个标准。对于剩下的那些应用,我们知道这方面的变化需要投入额外的精力来进行调整,所以我们提前了相当长的时间来通知大家,并提供资源给需要的开发者们。

您可以:

  • 查阅我们提供的关于迁移应用以符合 Google Play 目标 API 级别要求的 技术指南
  • 查阅我们在帮助中心发布的关于 Android 操作系统的目标 API 级别要求的 文章
  • 如果您需要更多的时间进行迁移,可以申请延期 6 个月。申请表单将于今年晚些时候在开发者 Play 管理中心提供。

以前从 Google Play 安装过旧应用的既有用户在该应用支持的任何 Android 操作系统版本的设备上都能继续发现、重新安装和使用该应用。

这项强化目标 API 级别要求的政策只是我们宣布的 政策更新 的一部分,这些政策更新旨在加强用户保护,并改善 Google Play 的用户体验。我们将继续分享有关这项重要工作的更新,这将有助于全面提升应用的隐私和安全标准,使 Google Play 和 Android 变得对每一个人都更加安全。

更多资源:

版权声明

禁止一切形式的转载-禁止商用-禁止衍生 申请授权

脉脉不得语
脉脉不得语
Zhengzhou Website
菜鸟 Android 开发一枚/前郑州 GDG 组织者/Android 开发技术周报站长/AndroidDevTools 站长/Toast.show(∞) 播客主播

你已经成功订阅到 Android 开发技术周报
太棒了!接下来,完成检验以获得全部访问权限 Android 开发技术周报
欢迎回来!你已经成功登录了。
成功!您的帐户已完全激活,您现在可以访问所有内容。